Config::Model::Backend::Systemd(3pm)

NAME
Config::Model::Backend::Systemd - R/W backend for systemd configurations files

VERSION
version 0.260.1

SYNOPSIS
 # in systemd model
 rw_config => {
     'backend' => 'Systemd'
 }

DESCRIPTION
Config::Model::Backend::Systemd provides a plugin class to enable Config::Model to read and write systemd configuration files. This class inherits Config::Model::Backend::Any is designed to be used by Config::Model::BackendMgr.

Methods

  read
This method scans systemd default directory and systemd config directory to create all units in Config::Model tree. The actual configuration parameters are read by Config::Model::Backend::Systemd::Unit.

  write
This method is a bit of a misnomer. It deletes configuration files of deleted service.

The actual configuration parameters are written by Config::Model::Backend::Systemd::Unit.

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2008-2025 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999